
package MPFR.Floats.EFuns is

  procedure Root(K: in Positive; X,DX: in MPFloat; YL,YU: in out MPFloat);
  procedure ExpUp(X: in MPFloat; Y: in out MPFloat);
  procedure ExpDown(X: in MPFloat; Y: in out MPFloat);
  procedure Exp(X,DX: in MPFloat; YL,YU: in out MPFloat);
  procedure Log(X,DX: in MPFloat; YL,YU: in out MPFloat);
  procedure ArcCos(X,DX: in MPFloat; YL,YU: in out MPFloat);
  procedure ArcSin(X,DX: in MPFloat; YL,YU: in out MPFloat);
  procedure Cos(X: in MPFloat; YL,YU: in out MPFloat);
  procedure Sin(X: in MPFloat; YL,YU: in out MPFloat);

end MPFR.Floats.EFuns;
